VERSION 5.00
Begin VB.Form Geograph 
   Appearance      =   0  'Flat
   BackColor       =   &H00C0C0C0&
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Cities"
   ClientHeight    =   6795
   ClientLeft      =   3660
   ClientTop       =   345
   ClientWidth     =   2385
   BeginProperty Font 
      Name            =   "Courier New"
      Size            =   9
      Charset         =   0
      Weight          =   700
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   ForeColor       =   &H80000008&
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   6795
   ScaleWidth      =   2385
   ShowInTaskbar   =   0   'False
   Begin VB.CommandButton Command1 
      Caption         =   "Click here for names"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   120
      TabIndex        =   4
      Top             =   120
      Width           =   2175
   End
   Begin VB.CommandButton cmdEditList 
      Caption         =   "Edit this List"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   480
      TabIndex        =   3
      Top             =   6240
      Width           =   1455
   End
   Begin VB.CommandButton cmdNewFileList 
      Caption         =   "Change List"
      Default         =   -1  'True
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   372
      Left            =   480
      TabIndex        =   2
      Top             =   5760
      Width           =   1452
   End
   Begin VB.ListBox CitiesOnFile 
      BackColor       =   &H00FFFFFF&
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   -1  'True
         Strikethrough   =   0   'False
      EndProperty
      Height          =   4350
      Left            =   120
      Sorted          =   -1  'True
      TabIndex        =   0
      Top             =   840
      Width           =   2175
   End
   Begin VB.Label lblCitiesOnFile 
      Alignment       =   2  'Center
      Appearance      =   0  'Flat
      BackColor       =   &H00C0C0C0&
      BackStyle       =   0  'Transparent
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H00C00000&
      Height          =   255
      Left            =   120
      TabIndex        =   1
      Top             =   600
      Width           =   2175
   End
End
Attribute VB_Name = "Geograph"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Private Sub CitiesOnFile_Click()
    Dim Msg, X%

    On Error GoTo BadCity
        
        For X2C% = 0 To CitiesOnFile.ListCount
            If GeoDataFile1$(X2C%) = CitiesOnFile.Text Then Exit For
        Next X2C%
        
        CitiesFileIndex% = X2C%

        If Len(GeoDataFile2$(X2C%)) = 5 Then
            InputD!txtLongDeg.Text = Val(Left$(GeoDataFile2$(X2C%), 2))
            If Mid$(GeoDataFile2$(X2C%), 3, 1) = "E" Then
                InputD!optEast.Value = 1
            Else
                InputD!optWest.Value = 1
            End If
        Else
            InputD!txtLongDeg.Text = Val(Left$(GeoDataFile2$(X2C%), 3))
            If Mid$(GeoDataFile2$(X2C%), 4, 1) = "E" Then
                InputD!optEast.Value = 1
            Else
                InputD!optWest.Value = 1
            End If
        End If
        InputD!txtLongMin.Text = Val(Right$(GeoDataFile2$(X2C%), 2))

        InputD!txtTZ.Text = Val(GeoDataFile4$(X2C%))
    
        InputD!txtLatDeg.Text = Val(Left$(GeoDataFile3$(X2C%), 2))
        If Mid$(GeoDataFile3$(X2C%), 3, 1) = "S" Then
            InputD!optSouth.Value = 1
        Else
            InputD!optNorth.Value = 1
        End If
        InputD!txtLatMin.Text = Val(Right$(GeoDataFile3$(X2C%), 2))
        
        If InputD1!chkNatOrNow.Value = 1 Then
            Call LoadNow_Natal
        Else
            Call LoadNow_Options
        End If
Exy:    Exit Sub

BadCity:
    Msg = "Format error or typographical error in selected data. Please correct this data entry by "
    Msg = Msg & "clicking on the Edit this List command button in the Cities window and editing the data "
    Msg = Msg & "associated with your chosen city."
    MsgBox Msg, 16, "Error!"
    Resume Exy
End Sub

Private Sub cmdEditList_Click()
    LongLat.Show
End Sub

Private Sub cmdNewFileList_Click()
    Close #1: If PickAFile2("*.LL") = "" Then Exit Sub
    Open SelectedFile For Input As #1
    CurrentGeographyFile$ = SelectedFile
    Call GetCLabel: Call GetFileCitiesData
End Sub

Private Sub Command1_Click()
    Unload Geograph: Unload Names: Load Names: Names.Show
End Sub

Private Sub Form_Load()
    Close #1
    If CurrentGeographyFile$ = "" Then
        Open DefaultDirectory$ + "\GA_MA.LL" For Input As #1
    Else
        Open CurrentGeographyFile$ For Input As #1
    End If
    Call GetCLabel: Call GetFileCitiesData
End Sub

Private Sub GetCLabel()
    Dim T, t1
fl2a: T = InStr(T + 1, CurrentGeographyFile$, "\")
    If T <> 0 Then t1 = T: GoTo fl2a
    lblCitiesOnFile.Caption = UCase$(Right$(CurrentGeographyFile$, Len(CurrentGeographyFile$) - t1))
End Sub

Private Sub GetFileCitiesData()
    On Error GoTo WrongData

    Ctx = 0
    ReDim GeoDataFile1$(0): ReDim GeoDataFile2$(0)
    ReDim GeoDataFile3$(0): ReDim GeoDataFile4$(0)
    
    nRet& = SendMessage(CitiesOnFile.hwnd, WM_SETREDRAW, 0, 0&)
    
    Do While Not EOF(1)
       Input #1, GeoDataFile1$(Ctx)
       If GeoDataFile1$(Ctx) = "" Then
            'MsgBox "Error in cities file. Please correct before continuing.", 64, "Warning!"
            Exit Do
       End If
       Input #1, GeoDataFile2$(Ctx)
       GeoDataFile1$(Ctx) = GeoDataFile1$(Ctx) & "," & GeoDataFile2$(Ctx)
       Input #1, GeoDataFile2$(Ctx): Input #1, GeoDataFile3$(Ctx)
       Input #1, GeoDataFile4$(Ctx)
       CitiesOnFile.AddItem GeoDataFile1$(Ctx)
       Ctx = Ctx + 1: ReDim Preserve GeoDataFile1$(UBound(GeoDataFile1$) + 1)
       ReDim Preserve GeoDataFile2$(UBound(GeoDataFile2$) + 1)
       ReDim Preserve GeoDataFile3$(UBound(GeoDataFile3$) + 1)
       ReDim Preserve GeoDataFile4$(UBound(GeoDataFile4$) + 1)
    Loop
Ety1:  Close #1
       nRet& = SendMessage(CitiesOnFile.hwnd, WM_SETREDRAW, -1, 0&)
       InvalidateRect CitiesOnFile.hwnd, Null, -1&
       Exit Sub

WrongData:
    Msg = "You have an error in the current cities file. You need to check and see if "
    Msg = Msg & "you have entered the data correctly and in the proper amount. Please correct the data by "
    Msg = Msg & "clicking on the Edit this List command button in the Cities window and edit the incorrect data."
    MsgBox Msg, 16, "Error!"
    Resume Ety1
End Sub

