Attribute VB_Name = "Module6"
Public Sub OpenDB()
    Dim t$

'set up connection string
    t$ = App.path & "\EphemDB.mdb"
    t$ = "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=" & t$
    ConnectStr = t$

    With myConnect
        On Error Resume Next
        .ConnectionString = ConnectStr
        .ConnectionTimeout = 10
        .Open
        On Error GoTo 0
    End With

'create new record set
    Set myRS = New ADODB.Recordset

'set property to automatically create a connection
    myRS.ActiveConnection = myConnect

'Set cursor type: adOpenDynamic supports all capabilities
'including forward, backward movement, deletion and addition of records
    myRS.CursorType = adOpenDynamic

'Set table LockType. I think this one (adLockOptimistic) supports all capabilities.
    myRS.LockType = adLockOptimistic

'Open RecordSet with the Open method and then load the
'now opened and currently empty RecordSet via a SQL query.
'Order asc by Date
    'myRS.Open "Select Transit.* From Transit Order By Transit.Date"
    'myRS.Open "Select * From Transit_Natal Order By Transit.Date"
    'myRS.Open "Select * From Transit_Natal Order By Date"
    If db_code% = 99 Then
        myRS.Open "Select * From Transit_Natal"
    ElseIf db_code% = 88 Then
        myRS.Open "Select * From Transit_Transit"
    ElseIf db_code% = 77 Then
        myRS.Open "Select * From Ephemeris"
    ElseIf TN_or_TT% = 0 Then
        myRS.Open "Select * From Transit_Natal"
    ElseIf TN_or_TT% = 1 Then
        myRS.Open "Select * From Transit_Transit"
    ElseIf TN_or_TT% = 2 Then
        myRS.Open "Select * From Ephemeris"
    End If

'check if recordset is empty
    If myRS.BOF And myRS.EOF Then
        'MsgBox "Record is empty - I am adding a temporary record.", 16, "Empty Recordset"
'add a new record to start if empty
        With myRS
            .AddNew
            !Date = "09/22/1949"
            If TN_or_TT% <> 2 Then
                !planet1 = "New record"
                !Aspect = "New record"
                !planet2 = "New record"
                !StatusCode = 1
            Else
                !Sun = -100
                !Moon = -100
                !Mercury = -100
                !Venus = -100
                !Mars = -100
                !Jupiter = -100
                !Saturn = -100
                !Uranus = -100
                !Neptune = -100
                !Pluto = -100
                !NorthNode = -100
                !Chiron = -100
            End If
            .Update
        End With
    End If
End Sub

Public Sub DeleteAllRecords()
'empty the appropriate database
    If db_code% = 99 Or db_code% = 88 Or db_code% = 77 Then
        On Error Resume Next
        myRS.MoveFirst
        Do Until myRS.EOF
            myRS.Delete
            myRS.MoveNext
        Loop
    End If

    If db_code% = 99 Then
        MsgBox "All records in Transit_Natal table have been deleted.", 16, "All records deleted"
    ElseIf db_code% = 88 Then
        MsgBox "All records in Transit_Transit table have been deleted.", 16, "All records deleted"
    ElseIf db_code% = 77 Then
        MsgBox "All records in Ephemeris table have been deleted.", 16, "All records deleted"
    End If
    Call CloseDB
End Sub

Public Sub CloseDB()
    If db_code% <> 99 And db_code% <> 88 And db_code% <> 77 Then
'delete dummy record if added initially
        myRS.MoveFirst         'move to first record
        If TN_or_TT% <> 2 Then
            If myRS![planet1] = "New record" Then
                myRS.Delete           'delete first record
            End If
        Else
            If myRS![Sun] = -100 Then
                myRS.Delete           'delete first record
            End If
        End If
    End If

    db_code% = 0

'Close the Record set connection.
    myRS.Close

 'set RecordSet to nothing to eliminate object
    Set myRS = Nothing
End Sub
