Attribute VB_Name = "MODULE1"

    ' Constant for height of a title bar or menu bar
    Const BarHgt = 325

Sub AdjustForm()
    Dim X&

    If LineCounter& = 0 Or OutputD1.ScaleHeight = 0 Then Exit Sub
    Call LineFeed

    Open DefaultDirectory$ + "\REPORTS\LASTPAGE.TXT" For Output As #9
    For X& = 0 To TextLineCounter&
        Print #9, TextOnForm$(X&)
    Next X&

    Close #9
    OutputD1!RichText1.LoadFile DefaultDirectory$ + "\REPORTS\LASTPAGE.TXT", 1
    OutputD1.Show
    OutputD1.Caption = XCaption$ & "Data"
End Sub

Sub CheckInputErrors()
    If Val(InputD!txtMonth) = 0 Or Val(InputD!txtDay) = 0 Or Val(InputD!txtYear) = 0 Then
       Call SetErrorFlagNatalData
    End If
    If InputD!txtMonth = "" Or InputD!txtDay = "" Or InputD!txtYear = "" Then
       Call SetErrorFlagNatalData
    End If
    If InputD!txtBirthHour = "" Or InputD!txtBirthMinute = "" Or InputD!txtTZ = "" Then
        Call SetErrorFlagNatalData
    End If
    If InputD!txtLongDeg = "" Or InputD!txtLongMin = "" Then
        Call SetErrorFlagNatalData
    End If
    If InputD!txtLatDeg = "" Or InputD!txtLatMin = "" Then
        Call SetErrorFlagNatalData
    End If
    If Val(InputD!txtTZ) < -2 And InputD!optWest.Value = True Then
        Call SetErrorFlagNatalData
    End If

    If Val(InputD1!txtDiurnalMonth) = 0 Or Val(InputD1!txtDiurnalDay) = 0 Or Val(InputD1!txtDiurnalYear) = 0 Then
       Call SetErrorFlagDiurnalData
    End If
    If InputD1!txtDiurnalMonth = "" Or InputD1!txtDiurnalDay = "" Or InputD1!txtDiurnalYear = "" Then
       Call SetErrorFlagDiurnalData
    End If
    If InputD1!txtDiurnalHour = "" Or InputD1!txtDiurnalMinute = "" Or InputD1!txtDiurnalTZ = "" Then
        Call SetErrorFlagDiurnalData
    End If
    If InputD1!txtDiurnalLongDeg = "" Or InputD1!txtDiurnalLongMin = "" Then
        Call SetErrorFlagDiurnalData
    End If
    If InputD1!txtDiurnalLatDeg = "" Or InputD1!txtDiurnalLatMin = "" Then
        Call SetErrorFlagDiurnalData
    End If
    If Val(InputD1!txtDiurnalTZ) < -2 And InputD1!optDiurnalWest.Value = True Then
        Call SetErrorFlagDiurnalData
    End If
End Sub

Sub CheckLatitudeErrors()
    If HS$ = "P" Or HS$ = "K" Then
        If (Val(InputD!txtLatDeg) >= 66 And Val(InputD!txtLatMin) > 0) Or (Val(InputD1!txtDiurnalLatDeg) >= 66 And Val(InputD1!txtDiurnalLatMin) > 0) Then
            InputErrorFlag% = 1
            MsgBox "Your latitude is too high. Lower to 66 degrees, 00 minutes or below OR change house systems.", 64, "Warning!"
        End If
    End If
End Sub

Sub CheckOverflowErrorsDiurnal()
    If Val(InputD1!txtDiurnalMonth) > 12 Or Val(InputD1!txtDiurnalDay) > 31 Or Val(InputD1!txtDiurnalYear) > 2099 Then
        Call SetErrorFlagDiurnalData
    End If
    If Val(InputD1!txtDiurnalHour) > 12 Or Val(InputD1!txtDiurnalMinute) > 59 Then
        Call SetErrorFlagDiurnalData
    End If
    If Val(InputD1!txtDiurnalTZ) > 12 Or Val(InputD1!txtDiurnalTZ) < -13 Then
        Call SetErrorFlagDiurnalData
    End If
    If Val(InputD1!txtDiurnalLongDeg) > 180 Or Val(InputD1!txtDiurnalLongMin) > 59 Then
        Call SetErrorFlagDiurnalData
    End If
    If Val(InputD1!txtDiurnalLatMin) > 59 Then
        Call SetErrorFlagDiurnalData
    End If
End Sub

Sub CheckOverflowErrorsNatal()
    If Val(InputD!txtMonth) > 12 Or Val(InputD!txtDay) > 31 Or Val(InputD!txtYear) > 2099 Then
        Call SetErrorFlagNatalData
    End If
    If Val(InputD!txtBirthHour) > 12 Or Val(InputD!txtBirthMinute) > 59 Then
        Call SetErrorFlagNatalData
    End If
    If Val(InputD!txtTZ) > 12 Or Val(InputD!txtTZ) < -13 Then
        Call SetErrorFlagNatalData
    End If
    If Val(InputD!txtLongDeg) > 180 Or Val(InputD!txtLongMin) > 59 Then
        Call SetErrorFlagNatalData
    End If
    If Val(InputD!txtLatMin) > 59 Then
        Call SetErrorFlagNatalData
    End If
    If Val(InputD!txtYear) < 100 Then
        Call SetErrorFlagNatalData
    End If
End Sub

Sub ClearOutputForm()
    OutputD1.ScaleMode = 4

    TextLineCounter& = 0: 'clear buffer for form
    ReDim TextOnForm$(0 To 1)
End Sub

Sub Convert360toDM()
        z3 = Int(z): Q = Int(z3 / 30) + 1
        z1 = Int(RoundTo2Dec((z3 / 30 - Int(z3 / 30)) * 30))
        z2a = (z - z3) * 60
        z2 = Int(z2a + 0.5): If z2 >= 60 Then z2 = 59: 'fixed 4-26-91
End Sub

Sub Convert360toDMS()
        z3 = Int(z): Q = Int(z3 / 30) + 1
        z1 = Int(RoundTo2Dec((z3 / 30 - Int(z3 / 30)) * 30))
        z2a = (z - z3) * 60: z2 = Int(z2a)
        z2a = Int((z2a - Int(z2a)) * 60)
End Sub

Function ConvertDMtoDec(X)
    ConvertDMtoDec = Int(X) + ((X - Int(X)) * 100) / 60
End Function

Function DEGREES(X)
        DEGREES = X * 180 / 3.1415926535
End Function

Sub FetchDiurnalData()
    Dim I As Integer

    NumberOfDays% = Val(InputD1!txtNumDays.Text)

    DiurnalDay% = InputD1!txtDiurnalDay.Text
    DiurnalYear% = InputD1!txtDiurnalYear.Text
    DiurnalMonth% = InputD1!txtDiurnalMonth.Text

    If MyiDate% = 2 Then
        Calendar$ = InputD1!txtDiurnalYear.Text + "/" + InputD1!txtDiurnalMonth.Text + "/" + InputD1!txtDiurnalDay.Text
    ElseIf MyiDate% = 1 Then
        Calendar$ = InputD1!txtDiurnalDay.Text + "/" + InputD1!txtDiurnalMonth.Text + "/" + InputD1!txtDiurnalYear.Text
    Else
        Calendar$ = InputD1!txtDiurnalMonth.Text + "/" + InputD1!txtDiurnalDay.Text + "/" + InputD1!txtDiurnalYear.Text
    End If

    DiurnalDate$ = Calendar$
    sDate = Calendar$

'Find the previous Monday
    For I = 0 To 6
        If "Monday" = Format$(sDate - I, "dddd") Then
            sDate = Format$(sDate - I, "mmmm dd, yyyy")
            Exit For
        End If
    Next I

    DiurnalDate$ = sDate
    Calendar$ = sDate

    InputD1!txtDiurnalDay.Text = Format$(Calendar$, "d")
    InputD1!txtDiurnalYear.Text = Format$(Calendar$, "yyyy")
    InputD1!txtDiurnalMonth.Text = Format$(Calendar$, "m")

    DiurnalTime! = InputD1!txtDiurnalHour.Text + InputD1!txtDiurnalMinute.Text / 100
    DiurnalTimeZone! = InputD1!txtDiurnalTZ.Text

    If InputD1!optDiurnalAM.Value = -1 Then DiurnalBirthTime$ = "A.M." Else DiurnalBirthTime$ = "P.M."

    DiurnalLong! = InputD1!txtDiurnalLongDeg.Text + InputD1!txtDiurnalLongMin.Text / 100
    If InputD1!optDiurnalEast.Value = -1 Then
        DiurnalLong! = -DiurnalLong!
    End If
    If DiurnalLong! < 0 Then
        DiurnalD1$ = "East"
    Else
        DiurnalD1$ = "West"
    End If

    DiurnalLat! = InputD1!txtDiurnalLatDeg.Text + InputD1!txtDiurnalLatMin.Text / 100
    If InputD1!optDiurnalSouth.Value = -1 Then
        DiurnalLat! = -DiurnalLat!
    End If
    If DiurnalLat! < 0 Then
        DiurnalD2$ = "South"
    Else
        DiurnalD2$ = "North"
    End If
End Sub

Sub FetchNatalData()
        D = InputD!txtDay.Text: Y = InputD!txtYear.Text
        M = InputD!txtMonth.Text: T = InputD!txtTZ.Text
        NatalDay% = D: NatalMonth% = M: NatalYear% = Y
        If MyiDate% = 2 Then
            Calendar$ = InputD!txtYear.Text + "/" + InputD!txtMonth.Text + "/" + InputD!txtDay.Text
        ElseIf MyiDate% = 1 Then
            Calendar$ = InputD!txtDay.Text + "/" + InputD!txtMonth.Text + "/" + InputD!txtYear.Text
        Else
            Calendar$ = InputD!txtMonth.Text + "/" + InputD!txtDay.Text + "/" + InputD!txtYear.Text
        End If
        NatalDate$ = Calendar$
        F = InputD!txtBirthHour.Text + InputD!txtBirthMinute.Text / 100
        NatalTime! = F: NatalTimeZone! = T

        If InputD!optAM.Value = -1 Then NatalBirthTime$ = "A.M." Else NatalBirthTime$ = "P.M."
        AMorPM$ = NatalBirthTime$

        NatalLong! = InputD!txtLongDeg.Text + InputD!txtLongMin.Text / 100
        If InputD!optEast.Value = -1 Then
            NatalLong! = -NatalLong!
        End If
        If NatalLong! < 0 Then
            NatalD1$ = "East"
        Else
            NatalD1$ = "West"
        End If

        NatalLat! = InputD!txtLatDeg.Text + InputD!txtLatMin.Text / 100
        If InputD!optSouth.Value = -1 Then
            NatalLat! = -NatalLat!
        End If
        If NatalLat! < 0 Then
            NatalD2$ = "South"
        Else
            NatalD2$ = "North"
        End If
End Sub

Sub GetOptions()
    Dim c As Integer, I As String

    Close #2: c = 0
    Open DefaultDirectory + "\OPTIONS.OPT" For Input As #2
    Do While Not EOF(2)
       Line Input #2, I
       If I = "" Then Exit Do
       c = c + 1: XOPTION!(c) = Val(Left$(I, 7))
    Loop
    Close #2
End Sub

Sub HOUSELIST()
'print out all 12 house cusps
    Call LineFeed: Buffer = Space(2) + "HOUSE CUSPS - "

    Buffer = Buffer + "Placidus"

    Call PrintBuffer: Buffer = "": LF1 = 0
    For I = 1 To 12
        z = HC(I)
        If LF1 = 0 Then
            Buffer = Buffer + Space(2)
        Else
            Buffer = Buffer + Space(1)
        End If
        Buffer = Buffer + Mid$(HCX1$, I * 4 - 3, 4) + " house = "
        Call PrintSignData
        LF1 = LF1 + 1: If LF1 = 3 Then Call PrintBuffer: LF1 = 0: Buffer = ""
    Next I
End Sub

Sub LineFeed()
        Buffer = "": Call PrintBuffer
End Sub

Sub LoadNow_Natal()
    InputD1!txtDiurnalHour.Text = InputD!txtBirthHour.Text
    InputD1!txtDiurnalMinute.Text = InputD!txtBirthMinute.Text

    InputD1!txtDiurnalTZ.Text = InputD!txtTZ.Text
    InputD1!txtDiurnalLongDeg.Text = InputD!txtLongDeg.Text
    InputD1!txtDiurnalLongMin.Text = InputD!txtLongMin.Text
    InputD1!txtDiurnalLatDeg.Text = InputD!txtLatDeg.Text
    InputD1!txtDiurnalLatMin.Text = InputD!txtLatMin.Text

    InputD1!optDiurnalAM.Value = InputD!optAM.Value
    InputD1!optDiurnalPM.Value = InputD!optPM.Value

    InputD1!optDiurnalEast.Value = InputD!optEast.Value
    InputD1!optDiurnalWest.Value = InputD!optWest.Value

    InputD1!optDiurnalNorth.Value = InputD!optNorth.Value
    InputD1!optDiurnalSouth.Value = InputD!optSouth.Value
End Sub

Sub LoadNow_Options()
    Dim T$

    T$ = Now
    InputD1!optDiurnalAM = True
    If MyiTime% = 1 Then
        If Val(Format$(T$, "h")) >= 12 Then InputD1!optDiurnalPM = True
    Else
        If UCase$(Right$(T$, 2)) = "PM" Then InputD1!optDiurnalPM = True
    End If

    InputD1!txtDiurnalMonth.Text = Format$(Now, "m")
    InputD1!txtDiurnalDay.Text = Format$(Now, "d")
    InputD1!txtDiurnalYear.Text = Format$(Now, "yyyy")

    InputD1!txtDiurnalHour.Text = Format$(Now, "h")
    InputD1!txtDiurnalMinute.Text = Format$(Now, "n")

    InputD1!txtDiurnalTZ.Text = XOPTION!(18)
    InputD1!txtDiurnalLongDeg.Text = XOPTION!(19)
    InputD1!txtDiurnalLongMin.Text = XOPTION!(20)
    InputD1!txtDiurnalLatDeg.Text = XOPTION!(22)
    InputD1!txtDiurnalLatMin.Text = XOPTION!(23)

    If XOPTION!(21) = 0 Then
        InputD1!optDiurnalWest = True
    Else
        InputD1!optDiurnalEast = True
    End If

    If XOPTION!(24) = 0 Then
        InputD1!optDiurnalNorth = True
    Else
        InputD1!optDiurnalSouth = True
    End If
End Sub

Sub NatalList()
        XSTEP% = 0: For XAO% = 1 To NumberOfPlanets%: Planets(XAO%) = Natal(XAO%): DECL(XAO%) = NatalDecl(XAO%)
        Next XAO%: For XAP% = 1 To 13: HC(XAP%) = NatalHouse(XAP%): Next XAP%
        ph$ = NatalPH$: Retrograde$ = NatalH$

        Call HOUSELIST

        Call LineFeed
        For I = 1 To NumberOfPlanets%
        If I <> 12 Then
            Call PlanetSR1
            Call PrintNatalPlanetDecl
        End If
        Next I
End Sub

Function PickAFile(Wild As String) As String
    Dim X%

    Load SelectFIle
    SelectFIle.filList.Pattern = Wild
    SelectedFile = CurrentNamesFile$
    SelectFIle!filList.ListIndex = 0
    For X% = 0 To SelectFIle!filList.ListCount - 1
        If UCase$(Right$(CurrentNamesFile$, Len(SelectFIle!filList.List(X%)))) = UCase$(SelectFIle!filList.List(X%)) Then
           SelectFIle!filList.ListIndex = X%: Exit For
        End If
    Next X%

    SelectFIle.Show 1
    PickAFile = SelectedFile
End Function

Function PickAFile2(Wild As String) As String
    Dim X%

    Load SelectFIle
    SelectFIle.filList.Pattern = Wild
    SelectedFile = CurrentGeographyFile$
    SelectFIle!filList.ListIndex = 0
    For X% = 0 To SelectFIle!filList.ListCount - 1
        If UCase$(Right$(CurrentGeographyFile$, Len(SelectFIle!filList.List(X%)))) = UCase$(SelectFIle!filList.List(X%)) Then
           SelectFIle!filList.ListIndex = X%: Exit For
        End If
    Next X%

    SelectFIle.Show 1
    PickAFile2 = SelectedFile
End Function

Sub PlanetSR1()
        z = Planets(I): Buffer = Space(2): Call PrintSignDataSeconds
        Buffer = Buffer + Space(3) + Mid$(PX1$, I * 10 - 9, 10) + Mid$(Retrograde$, I, 1) + Space(4)
        Buffer = Buffer + "(" + Mid$(ph$, I * 10 - 9, 10) + ")" + Space(4)
End Sub

Sub PrintBuffer()
    On Error GoTo PBErr1
    ReDim Preserve OutputLines$(0 To LineCounter& + 1)
    OutputLines$(LineCounter&) = Buffer
    LineCounter& = LineCounter& + 1

    TextOnForm$(TextLineCounter&) = Buffer
    TextLineCounter& = TextLineCounter& + 1
    ReDim Preserve TextOnForm$(0 To TextLineCounter&)
PBErr2: Exit Sub

PBErr1: MsgBox "Buffer cannot hold any more data. Please print and/or clear data buffer before displaying any more data. This message may appear up to 35 times depending on how full the buffer is and how much the program wants to write to it.", 16, "Warning!"
    Resume PBErr2
End Sub

Sub PrintNatalPlanetDecl()
        z = Abs(NatalDecl(I)): Call Convert360toDM
        Buffer = Buffer + Format$(z1, "00") + " "
        If NatalDecl(I) >= 0 Then
            Buffer = Buffer + "N"
        Else
            Buffer = Buffer + "S"
        End If
        Buffer = Buffer + " " + Format$(z2, "00")
        Call PrintBuffer
        If I = NumberOfPlanets% Then
            Buffer = Space(51) + "Decl."
            Call PrintBuffer
        End If
End Sub

Sub PrintPlanetDecl()
        z = Abs(DECL(I)): Call Convert360toDM
        Buffer = Buffer + Format$(z1, "00") + " "
        If DECL(I) >= 0 Then
            Buffer = Buffer + "N"
        Else
            Buffer = Buffer + "S"
        End If
        Buffer = Buffer + " " + Format$(z2, "00")
        Call PrintBuffer
End Sub

Sub PrintSignData()
        Call Convert360toDM
        Buffer = Buffer + Format$(z1, "00") + " " + Mid$(SX1$, Q * 3 - 2, 3) + " "
        Buffer = Buffer + Format$(z2, "00")
End Sub

Sub PrintSignDataSeconds()
        Call Convert360toDMS
        Buffer = Buffer + Format$(z1, "00") + " " + Mid$(SX1$, Q * 3 - 2, 3) + " "
        Buffer = Buffer + Format$(z2, "00") + "m " + Format$(z2a, "00") + "s"
End Sub

Function RoundTo2Dec(X)
        RoundTo2Dec = Int(X * 100 + 0.5) / 100
End Function

Sub SetErrorFlagDiurnalData()
       InputErrorFlag% = 1
       MsgBox "Error in diurnal input data section. Please correct.", 64, "Warning!"
End Sub

Sub SetErrorFlagNatalData()
       InputErrorFlag% = 1
       MsgBox "Error in natal input data section. Please correct.", 64, "Warning!"
End Sub

Function Sine(X)
        Sine = Sin(X * 3.1415926535 / 180)
End Function

Sub TransitList()
    XSTEP% = 3: Call LineFeed
    Buffer = Space(2) + "TRANSIT POSITIONS"
    Call PrintBuffer

    Buffer = Space$(2) + Format$(DiurnalDate$, "dd mmm yyyy") + Space$(4) + "TZ = " + Format$(DiurnalTimeZone!, "##0.0")
    Buffer = Buffer + Space$(6) + Format$(DiurnalTime!, "#0.00") + " " + DiurnalBirthTime$
    Buffer = Buffer + Space$(3) + Format$(Abs(DiurnalLat!), "##0.00") + " " + DiurnalD2$ + Space(4) + Format$(Abs(DiurnalLong!), "##0.00") + " " + DiurnalD1$
    Call PrintBuffer

    For XAW% = 1 To NumberOfPlanets%
        Planets(XAW%) = Transit(XAW%)
        DECL(XAW%) = TransitDecl(XAW%)
    Next XAW%

    For XAW% = 1 To 13
        HC(XAW%) = TransitHouse(XAW%)
    Next XAW%

    ph$ = TransitPH$: Retrograde$ = TransitH$
    Call HOUSELIST

    Call LineFeed
    For I = 1 To NumberOfPlanets%
        If I = 12 Then GoTo PL11
        Call PlanetSR1
        Call PrintPlanetDecl
PL11:
    Next I

    If XSTEP% = 3 Then
        Buffer = Space(51) + "Decl."
        Call PrintBuffer
    End If
End Sub

Function Align4(A4 As String)
    If Left$(A4, 3) = "-0," Then
        Align4 = Space(2) & A4: Exit Function
    ElseIf Val(A4) >= 100 Then
        Align4 = Space(1) & A4: Exit Function
    ElseIf Val(A4) >= 10 Then
        Align4 = Space(2) & A4: Exit Function
    ElseIf Val(A4) >= 0 Then
        Align4 = Space(3) & A4: Exit Function
    ElseIf Val(A4) > -10 Then
        Align4 = Space(2) & A4: Exit Function
    ElseIf Val(A4) > -100 Then
        Align4 = Space(1) & A4: Exit Function
    Else
        Align4 = A4
    End If
End Function

Sub AngleDeclinations()
        X = Cosine(Planets(13))
        Y = Cosine(OB) * Sine(Planets(13))
        z = Sine(OB) * Sine(Planets(13))
        Call Cart2Sph: DECL(13) = BETA

        X = Cosine(Planets(14))
        Y = Cosine(OB) * Sine(Planets(14))
        z = Sine(OB) * Sine(Planets(14))
        Call Cart2Sph: DECL(14) = BETA

        X = Cosine(Planets(15))
        Y = Cosine(OB) * Sine(Planets(15))
        z = Sine(OB) * Sine(Planets(15))
        Call Cart2Sph: DECL(15) = BETA
End Sub

Sub XHeader1()
    Call ClearOutputForm
    Call LineFeed
    Buffer = Space(2) & ZN$: Call PrintBuffer
    Buffer = Space$(2) + Format$(NatalDate$, "dd mmm yyyy") + Space$(4) + "TZ = " + Format$(NatalTimeZone!, "##0.0")
    Buffer = Buffer + Space$(6) + Format$(NatalTime!, "#0.00") + " " + NatalBirthTime$
    Buffer = Buffer + Space$(3) + Format$(Abs(NatalLat!), "##0.00") + " " + NatalD2$ + Space(4) + Format$(Abs(NatalLong!), "##0.00") + " " + NatalD1$
    Call PrintBuffer
End Sub

Sub GetCalendarDay()
    Dim A$, X$, LW, ITW, KW, IKW, NW, JTW

'convert Julian Day (JD#) to day, month, year format
    LW = Int(jd# + 0.5) + 68569: NW = Int(4 * LW / 146097)
    LW = LW - Int((146097 * NW + 3) / 4)
    ITW = Int(4000 * (LW + 1) / 1461001)
    LW = LW - Int(1461 * ITW / 4) + 31: JTW = Int(80 * LW / 2447)
    KW = LW - Int(2447 * JTW / 80)
    LW = Int(JTW / 11): JTW = JTW + 2 - 12 * LW
    IKW = 100 * (NW - 49) + ITW + LW
'JTW = month, KW = day, IKW = year
    X$ = Str$(JTW): If JTW < 10 Then X$ = "0" + LTrim$(X$)
    A$ = Str$(KW): If KW < 10 Then A$ = "0" + LTrim$(A$)
    X$ = LTrim$(X$): A$ = LTrim$(A$)
    If MyiDate% = 2 Then
        Calendar$ = LTrim$(Right$(Str$(IKW), 4) + "/" + X$ + "/" + A$)
    ElseIf MyiDate% = 1 Then
        Calendar$ = LTrim$(A$ + "/" + X$ + "/" + Right$(Str$(IKW), 4))
    Else
        Calendar$ = LTrim$(X$ + "/" + A$ + "/" + Right$(Str$(IKW), 4))
    End If
End Sub

Sub GetJulianDay()
'Find Julian Day for noon of day in question
        XIM = 12 * (XYear + 4800) + XMonth - 3
        XJD = (2 * (XIM - Int(XIM / 12) * 12) + 7 + 365 * XIM) / 12
        XJD = Int(XJD) + XDAY + Int(XIM / 48) - 32083
        If XJD <= 2299171 Then Exit Sub
        XJD = (XJD + Int(XIM / 4800) - Int(XIM / 1200) + 38)
End Sub

Sub GetXCaption()
    XCaption$ = "EphemDB " & "(Tropical zodiac) - "
End Sub

Function Cosine(X)
        Cosine = Cos(X * PI / 180)
End Function

Function CRUNCH(X)
        If X >= 0 Then
            CRUNCH = X - Int(X / 360) * 360
            Exit Function
        End If
        If X < 0 Then CRUNCH = 360 + (X - ((1 + Int(X / 360)) * 360))
End Function

