VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "COMDLG32.OCX"
Object = "{3B7C8863-D78F-101B-B9B5-04021C009402}#1.2#0"; "RICHTX32.OCX"
Begin VB.Form OutputD1 
   Caption         =   "Data"
   ClientHeight    =   5850
   ClientLeft      =   60
   ClientTop       =   1290
   ClientWidth     =   9480
   ForeColor       =   &H80000008&
   LinkTopic       =   "Form1"
   MinButton       =   0   'False
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   24.375
   ScaleMode       =   4  'Character
   ScaleWidth      =   79
   ShowInTaskbar   =   0   'False
   Begin RichTextLib.RichTextBox RichText1 
      Height          =   5895
      Left            =   0
      TabIndex        =   0
      Top             =   0
      Width           =   9495
      _ExtentX        =   16748
      _ExtentY        =   10398
      _Version        =   393217
      Enabled         =   -1  'True
      ReadOnly        =   -1  'True
      ScrollBars      =   3
      TextRTF         =   $"OUTPUTD1.frx":0000
      BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "Ephemeri"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
   End
   Begin MSComDlg.CommonDialog Dlog 
      Left            =   0
      Top             =   0
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
      FontSize        =   0
      MaxFileSize     =   256
   End
   Begin VB.Menu mnuFile 
      Caption         =   "&File"
      Begin VB.Menu mnuFileSave 
         Caption         =   "&Save"
         Shortcut        =   {F5}
      End
      Begin VB.Menu mnuFileSaveAs 
         Caption         =   "Save &As"
         Shortcut        =   {F6}
      End
   End
   Begin VB.Menu mnuFonts 
      Caption         =   "F&ont"
      Begin VB.Menu mnuFontsIncrease 
         Caption         =   "&Increase"
         Shortcut        =   {F7}
      End
      Begin VB.Menu mnuFontsDecrease 
         Caption         =   "&Decrease"
         Shortcut        =   {F8}
      End
      Begin VB.Menu mnuFontsBold 
         Caption         =   "&Bold"
         Checked         =   -1  'True
         Shortcut        =   {F11}
      End
      Begin VB.Menu mnuFontsItalic 
         Caption         =   "I&talic"
         Checked         =   -1  'True
         Shortcut        =   {F12}
      End
   End
   Begin VB.Menu mnuClearBuffer 
      Caption         =   "&Clear all data"
   End
   Begin VB.Menu mnuPrint 
      Caption         =   "&Print page"
   End
   Begin VB.Menu mnuPrintData 
      Caption         =   "Print &data"
   End
   Begin VB.Menu mnuMore 
      Caption         =   "&More"
      Begin VB.Menu mnuMoreZForward 
         Caption         =   "&Forward"
         Shortcut        =   {F2}
      End
      Begin VB.Menu mnuMoreBackward 
         Caption         =   "&Backward"
         Shortcut        =   {F3}
      End
   End
   Begin VB.Menu mnuHelp 
      Caption         =   "&Help"
   End
End
Attribute VB_Name = "OutputD1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Private Sub Form_Load()
    NotDo% = 1
    OutputD1.Height = DataWindowHeight%
    OutputD1.Width = DataWindowWidth%
    OutputD1.Top = DataWindowTop%
    OutputD1.Left = DataWindowLeft%
    NotDo% = 0

    If MasterFontSize < 8 Then
        OutputD1!RichText1.Font.Size = MasterFontSize
    End If

    On Error GoTo NCN1
    'OutputD1!RichText1.Font.Name = "EphemDB"       'MasterFontName
    OutputD1!RichText1.Font.Name = MasterFontName
    OutputD1!RichText1.Font.Size = MasterFontSize
    OutputD1!RichText1.Font.Bold = MasterFontBold
    OutputD1!RichText1.Font.Italic = MasterFontItalic

    OutputD1!mnuFontsBold.Checked = MasterFontBold
    OutputD1!mnuFontsItalic.Checked = MasterFontItalic
    OutputD1!RichText1.Text = ""
    Exit Sub

NCN1:
    MsgBox "You must have the COURIER NEW font installed in Windows. Please add this font through CONTROL PANEL - FONTS.", 48, "Information!"
    Resume Next
End Sub

Private Sub Form_Resize()
    If NotDo% = 0 Then
        DataWindowWidth% = OutputD1.Width
        DataWindowHeight% = OutputD1.Height
        DataWindowTop% = OutputD1.Top
        DataWindowLeft% = OutputD1.Left
    End If
    RichText1.Top = 0: RichText1.Left = 0
    RichText1.Width = ScaleWidth: RichText1.Height = ScaleHeight
End Sub

Private Sub Form_Unload(Cancel As Integer)
    ' Close #1 - removed this 12-31-1995 per Tom Bridges bug
    Set OutputD1 = Nothing
End Sub

Private Sub mnuClearBuffer_Click()
    LineCounter& = 0
    ReDim OutputLines$(0 To 1)
    MsgBox "All data cleared from buffer.", 48, "Information!"
End Sub

Private Sub mnuFileSave_Click()
    Dim c As Integer, flag%, X%

    If LineCounter& = 0 Then
        MsgBox "No data to write to file.", 48, "Information"
        Exit Sub
    End If

    If OutputNameFile = "" Then Call mnuFileSaveAs_Click: Exit Sub
    Close #1: Open OutputNameFile For Output As #1
    c = 1: flag% = 0
    For X% = 0 To LineCounter&
        Print #1, OutputLines$(X%)
        If OutputLines$(X%) = Chr$(12) Then
            c = 0
            flag% = 1
        End If
        If c = XOPTION!(45) Then
            Print #1, Chr$(12)
            c = 0
        End If
        c = c + 1
    Next X%
    If flag% = 0 Then Print #1, Chr$(12)
PVC44a: Close #1
    Exit Sub

PVC33a:  Resume PVC44a
End Sub

Private Sub mnuFileSaveAs_Click()
    Dim c As Integer, flag%, X%

    If LineCounter& = 0 Then
        MsgBox "No data to write to file.", 48, "Information"
        Exit Sub
    End If

    OutputD1!Dlog.CancelError = True
    OutputD1!Dlog.DefaultExt = "doc"
    OutputD1!Dlog.InitDir = DefaultDirectory$
    If InStr(ZN$, " ") <> 0 Then
        OutputD1!Dlog.filename = Left$(ZN$, InStr(ZN$, " ") - 1) + ".DOC"
        If InStr(ZN$, " ") > 8 Then
            OutputD1!Dlog.filename = Left$(ZN$, 8) + ".DOC"
        End If
    Else
        OutputD1!Dlog.filename = Left$(ZN$, 8) + ".DOC"
    End If
    OutputD1!Dlog.Filter = "Data Files (*.DOC) | *.DOC"
    OutputD1!Dlog.FilterIndex = 1
    OutputD1!Dlog.Flags = OFN_OVERWRITEPROMPT Or OFN_PATHMUSTEXIST
    On Error GoTo PVC33
    OutputD1!Dlog.Action = 2
    OutputNameFile = OutputD1!Dlog.filename

    Close #1
    Open OutputNameFile For Output As #1
    c = 1: flag% = 0
    For X% = 0 To LineCounter&
        Print #1, OutputLines$(X%)
        If OutputLines$(X%) = Chr$(12) Then
            c = 0
            flag% = 1
        End If
        If c = XOPTION!(45) Then
            Print #1, Chr$(12)
            c = 0
        End If
        c = c + 1
    Next X%
    If flag% = 0 Then Print #1, Chr$(12)
PVC44: Close #1
    Exit Sub

PVC33:  Resume PVC44
End Sub

Private Sub mnuFontsBold_Click()
    OutputD1!RichText1.Font.Bold = Not OutputD1!RichText1.Font.Bold
    'OutputD1!mnuFontsBold.Checked = OutputD1!RichText1.Font.Bold
    MasterFontBold = OutputD1!RichText1.Font.Bold
    Call RefreshText
End Sub

Private Sub mnuFontsDecrease_Click()
    If MasterFontSize > 8 Then
        OutputD1!RichText1.Font.Size = MasterFontSize - (PlanetScaling / 2)
    End If
    'MasterFontSize = OutputD1!RichText1.Font.Size
    MasterFontSize = MasterFontSize - (PlanetScaling / 2)
    Call RefreshText
End Sub

Private Sub mnuFontsIncrease_Click()
    If MasterFontSize < 12 Then
        OutputD1!RichText1.Font.Size = MasterFontSize + (PlanetScaling / 2)
    End If
    'MasterFontSize = OutputD1!RichText1.Font.Size
    MasterFontSize = MasterFontSize + (PlanetScaling / 2)
    Call RefreshText
End Sub

Private Sub mnuFontsItalic_Click()
    OutputD1!RichText1.Font.Italic = Not OutputD1!RichText1.Font.Italic
    'OutputD1!mnuFontsItalic.Checked = OutputD1!RichText1.Font.Italic
    MasterFontItalic = OutputD1!RichText1.Font.Italic
    Call RefreshText
End Sub

Private Sub mnuHelp_Click()
    CurrentHelpFile$ = "\OUTPUTD1.HLP"
    Call DisplayHelp
End Sub

Private Sub mnuMoreBackward_Click()
    jd# = jdx - (2 * NumberOfDays%) + 1
    Call GetCalendarDay

    InputD1!txtDiurnalDay.Text = Format$(Calendar$, "d")
    InputD1!txtDiurnalYear.Text = Format$(Calendar$, "yyyy")
    InputD1!txtDiurnalMonth.Text = Format$(Calendar$, "m")

    DiurnalDay% = InputD1!txtDiurnalDay.Text
    DiurnalYear% = InputD1!txtDiurnalYear.Text
    DiurnalMonth% = InputD1!txtDiurnalMonth.Text
    DiurnalDate$ = Calendar$

    Call CalcAspectarian
End Sub

Private Sub mnuMoreZForward_Click()
    jd# = jdx + 1
    Call GetCalendarDay

    InputD1!txtDiurnalDay.Text = Format$(Calendar$, "d")
    InputD1!txtDiurnalYear.Text = Format$(Calendar$, "yyyy")
    InputD1!txtDiurnalMonth.Text = Format$(Calendar$, "m")

    DiurnalDay% = InputD1!txtDiurnalDay.Text
    DiurnalYear% = InputD1!txtDiurnalYear.Text
    DiurnalMonth% = InputD1!txtDiurnalMonth.Text
    DiurnalDate$ = Calendar$

    Call CalcAspectarian
End Sub

Private Sub mnuPrint_Click()
    Dim X%, Y%

    If TextLineCounter& = 0 Then Exit Sub

    Screen.MousePointer = 11
    Close #1: Open DefaultDirectory$ & "\PRNTFILE.XXX" For Output As #1
    For X% = 0 To TextLineCounter&
        Print #1, TextOnForm$(X%)
    Next X%: Close #1
    PrntFile.Show
    Screen.MousePointer = 0
End Sub

Private Sub mnuPrintData_Click()
    Dim X%, Y%

    If LineCounter& = 0 Then
        MsgBox "No data to print.", 48, "Information"
        Exit Sub
    End If

    Screen.MousePointer = 11
    Close #1: Open DefaultDirectory$ & "\PRNTFILE.XXX" For Output As #1
    For X% = 0 To LineCounter&
        Print #1, OutputLines$(X%)
    Next X%: Close #1
    PrntFile.Show
    Screen.MousePointer = 0
End Sub

Private Sub RefreshText()
    Dim X%, T$

    If TextLineCounter& = 0 Then Exit Sub

    Screen.MousePointer = 11
    Call AdjustForm

    If MasterFontSize <= 8 Then
        OutputD1!mnuFontsDecrease.Enabled = False
    Else
        OutputD1!mnuFontsDecrease.Enabled = True
    End If

    If MasterFontSize >= 12 Then
        OutputD1!mnuFontsIncrease.Enabled = False
    Else
        OutputD1!mnuFontsIncrease.Enabled = True
    End If

    Screen.MousePointer = 0
End Sub

Private Sub RichText1_KeyPress(KeyAscii As Integer)
    If KeyAscii = 27 Then
        EphemDB.SetFocus
        KeyAscii = 0
    End If
End Sub


Private Sub RichText1_MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)
    If Button = 2 Then EphemDB.SetFocus
End Sub


Private Sub Text1_KeyPress(KeyAscii As Integer)
    If KeyAscii = 27 Then
        EphemDB.SetFocus
        KeyAscii = 0
    End If
End Sub

Private Sub Text1_MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)
    If Button = 2 Then EphemDB.SetFocus
End Sub

